Subject: bug#45165: binutils-mesboot0 fails at configure, cannot find lex

From: Carl Dong <[email-masked]>
Date: Mon, 18 Jan 2021 17:48:32 -0500

Hi all,

I was able to bisect this down to a few kernel configuration options, so perhaps those with more kernel experience can help me track down what’s going on.

The two Kconfig options which seem to influence the behavior are:
1. CONFIG_EXPERT
2. CONFIG_UID16

CONFIG_EXPERT=y, CONFIG_UID16=y -> status code = 0
CONFIG_EXPERT=y, CONFIG_UID16=n -> status code = 1
CONFIG_EXPERT=y, CONFIG_UID16 not set -> status code = 1
CONFIG_EXPERT=n, any CONFIG_UID16 -> status code = 0

This is somewhat perplexing to me, as looking at the entry for CONFIG_UID16, I see that the default value is “y”, so I would expect there not to be a difference between CONFIG_UID16=y and CONFIG_UID16 not being set when CONFIG_EXPERT=y.

This configuration option investigation originated from when I bisected across Arch Linux’s kernel configuration and found that this recent commit fixed our problem: https://github.com/archlinux/svntogit-packages/commit/1b26b3445354ccdb92b4361e772fb9f246143d0b#diff-3e341d2d9c67be01819b25b25d5e53ea3cdf3a38d28846cda85a195eb9b7203a

Note that this above config has CONFIG_HAVE_UID16=y and CONFIG_MULTIUSER=y

Let me know how best to approach this!

Cheers,
Carl Dong